Page cover
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Koopsom API

get

Conveniently retrieve residential transaction data for a specific object.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
postalCodestringRequired

Postal code

Example: 1251NJ
houseNumberintegerRequired

House number

Example: 22
houseLetterstringOptional

House letter

houseNumberExtstringOptional

House number extension

valuationDatestring Ā· dateOptional

Valuation date

Default: 2026-10-08Example: 2026-10-08
dateTransportstring Ā· dateOptional

The acceptance date is the date on which you, as a buyer, become the owner of the house.

Responses
200

TransactionFinderResponse

application/json
idstring Ā· nullableOptionalExample: string
statusstringRequiredExample: success
get/mx-transaction-finder
GET /v1/mx-transaction-finder?postalCode=1251NJ&houseNumber=22 HTTP/1.1
Host: api.matrixian.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "string",
  "params": {
    "postalCode": "1251NJ",
    "houseNumber": 22,
    "houseLetter": null,
    "houseNumberExt": null,
    "valuationDate": "2026-10-08",
    "dateTransport": "2026-01-01"
  },
  "data": {
    "postalCode": "1251NJ",
    "houseNumber": 22,
    "houseLetter": null,
    "houseNumberExt": null,
    "saleDate": "2026-10-08",
    "transportDate": "2026-10-08",
    "transactionDate": "2026-10-08",
    "transactionPrice": 1,
    "transactionPriceIndexed": 1,
    "transactionPriceIndexedDateTransport": 1,
    "transactionPriceIndexedDateSale": 1,
    "valuationDate": "2026-10-08"
  },
  "error": {},
  "meta": {},
  "status": "success"
}

Last updated